/*
 *
 * @p(code)
 * #include <ti/mas/secutil/secutil.h>
 * @p
 *
 * Copyright (C) 2009 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef _SECUTIL_H
#define _SECUTIL_H

/** @defgroup  SECUTIL */

/** @ingroup SECUTIL */
/* @{ */

/* Define target symbols for ease of use */
#ifdef ti_targets_C54
#define _SECUTIL_C54 1
#else
#define _SECUTIL_C54 0
#endif

#ifdef ti_targets_C54_far
#define _SECUTIL_C54_FAR 1
#else
#define _SECUTIL_C54_FAR 0
#endif

#ifdef ti_targets_C55
#define _SECUTIL_C55 1
#else
#define _SECUTIL_C55 0
#endif

#ifdef ti_targets_C55_large
#define _SECUTIL_C55_LARGE 1
#else
#define _SECUTIL_C55_LARGE 0
#endif

#ifdef ti_targets_C64
#define _SECUTIL_C64 1
#else
#define _SECUTIL_C64 0
#endif

#ifdef ti_targets_C64_big_endian
#define _SECUTIL_C64_BIG_ENDIAN 1
#else
#define _SECUTIL_C64_BIG_ENDIAN 0
#endif

#ifdef ti_targets_C64P
#define _SECUTIL_C64P 1
#else
#define _SECUTIL_C64P 0
#endif

#ifdef ti_targets_elf_C64P
#define _SECUTIL_ELF_C64P 1
#else
#define _SECUTIL_ELF_C64P 0
#endif


#ifdef ti_targets_C64P_big_endian
#define _SECUTIL_C64P_BIG_ENDIAN 1
#else
#define _SECUTIL_C64P_BIG_ENDIAN 0
#endif

#ifdef ti_targets_elf_C64P_big_endian
#define _SECUTIL_ELF_C64P_BIG_ENDIAN 1
#else
#define _SECUTIL_ELF_C64P_BIG_ENDIAN 0
#endif


#ifdef ti_targets_C66
#define _SECUTIL_C66 1
#else
#define _SECUTIL_C66 0
#endif

#ifdef ti_targets_elf_C66
#define _SECUTIL_ELF_C66 1
#else
#define _SECUTIL_ELF_C66 0
#endif


#ifdef ti_targets_C66_big_endian
#define _SECUTIL_C66_BIG_ENDIAN 1
#else
#define _SECUTIL_C66_BIG_ENDIAN 0
#endif

#ifdef ti_targets_elf_C66_big_endian
#define _SECUTIL_ELF_C66_BIG_ENDIAN 1
#else
#define _SECUTIL_ELF_C66_BIG_ENDIAN 0
#endif

#ifdef ti_targets_C674
#define _SECUTIL_C674 1
#else
#define _SECUTIL_C674 0
#endif

#ifdef ti_targets_elf_C674
#define _SECUTIL_ELF_C674 1
#else
#define _SECUTIL_ELF_C674 0
#endif


#ifdef ti_targets_C674_big_endian
#define _SECUTIL_C674_BIG_ENDIAN 1
#else
#define _SECUTIL_C674_BIG_ENDIAN 0
#endif

#ifdef ti_targets_elf_C674_big_endian
#define _SECUTIL_ELF_C674_BIG_ENDIAN 1
#else
#define _SECUTIL_ELF_C674_BIG_ENDIAN 0
#endif



#ifdef ti_targets_arm_Arm11
#define _SECUTIL_ARM11 1
#else
#define _SECUTIL_ARM11 0
#endif


#ifdef ti_targets_arm_Arm11_big_endian
#define _SECUTIL_ARM11_BIG_ENDIAN 1
#else
#define _SECUTIL_ARM11_BIG_ENDIAN 0
#endif

#ifdef gnu_targets_arm_GCArmv7A
#define _SECUTIL_ARM_GCARMV7A 1
#else
#define _SECUTIL_ARM_GCARMV7A 0
#endif


/* Include target specific version of MSU macros
 * These are automatically generated using the template file. */

#if _SECUTIL_C54
#include <ti/mas/secutil/c54/secutil.h>
#elif _SECUTIL_C54_FAR
#include <ti/mas/secutil/c54f/secutil.h>
#elif _SECUTIL_C55
#include <ti/mas/secutil/c55/secutil.h>
#elif _SECUTIL_C55_LARGE
#include <ti/mas/secutil/c55L/secutil.h>
#elif _SECUTIL_C64
#include <ti/mas/secutil/c64/secutil.h>
#elif _SECUTIL_C64_BIG_ENDIAN
#include <ti/mas/secutil/c64e/secutil.h>
#elif _SECUTIL_C64P
#include <ti/mas/secutil/c64P/secutil.h>
#elif _SECUTIL_C64P_BIG_ENDIAN
#include <ti/mas/secutil/c64Pe/secutil.h>
#elif _SECUTIL_C66
#include <ti/mas/secutil/c66/secutil.h>
#elif _SECUTIL_C66_BIG_ENDIAN
#include <ti/mas/secutil/c66e/secutil.h>
#elif _SECUTIL_C674
#include <ti/mas/secutil/c674/secutil.h>
#elif _SECUTIL_C674_BIG_ENDIAN
#include <ti/mas/secutil/c674e/secutil.h>
#elif _SECUTIL_ELF_C64P
#include <ti/mas/secutil/ce64P/secutil.h>
#elif _SECUTIL_ELF_C64P_BIG_ENDIAN
#include <ti/mas/secutil/ce64Pe/secutil.h>
#elif _SECUTIL_ELF_C66
#include <ti/mas/secutil/ce66/secutil.h>
#elif _SECUTIL_ELF_C66_BIG_ENDIAN
#include <ti/mas/secutil/ce66e/secutil.h>
#elif _SECUTIL_ELF_C674
#include <ti/mas/secutil/ce674/secutil.h>
#elif _SECUTIL_ELF_C674_BIG_ENDIAN
#include <ti/mas/secutil/ce674e/secutil.h>
#elif _SECUTIL_ARM11
#include <ti/mas/secutil/c11/secutil.h>
#elif _SECUTIL_ARM11_BIG_ENDIAN
#include <ti/mas/secutil/c11e/secutil.h>
#elif _SECUTIL_ARM_GCARMV7A
#include <ti/mas/secutil/cv7A/secutil.h>
#else
#error invalid target
#endif


#ifndef NULL 
#define NULL 0
#endif

/* Read/Write U32 data from/into memory in U16 data format */
/* Note: Endian doesn't affect this operation */
/* Note: This is in consecutive U16 memory locations */
#define secutil_GETU32_U16(pt) ( (((tulong)((pt)[0])) << 16) ^ (tulong)(((pt)[1])&0x0000FFFF) ) 
#define secutil_PUTU32_U16(ct, st) { (ct)[0] = (tuint)((st) >> 16)&0xFFFF; \
         (ct)[1] = (tuint)((st) &0xFFFF); }

#define secutil_ROTATE(a,n)     (((a)<<(n))|(((a)&0xffffffff)>>(32-(n))))

#define secutil_ENDIAN_REVERSE32(a) \
{   \
	tulong l=(a); \
	l=(((l&0xFF00FF00)>>8L)|((l&0x00FF00FF)<<8L)); \
	(a)=secutil_ROTATE(l,16L); \
}

/** @} */ /** ingroup */
#endif
/* nothing past this point */ 
