# ==============================================================================
# File            : Makedocs.mk
# Description     : 
#
#   GNU makefile to generate NMU documentation from sources using Doxygen
#
# ==============================================================================

# The target for generating documents using doxygen is gendocs

RELEASE_DOC=./docs/doxygen/release.chm

releasenotes : $(RELEASE_DOC)

$(RELEASE_DOC): ./docs/doxygen/release.h
	-@echo generating Release Notes ...
	if test ! -d ./docs/doxygen/html; then mkdir ./docs/doxygen/html; fi
	cp $(TI_DOXYGEN_TEMPLATES)/*.* ./docs/doxygen/html
	doxygen ../swtools/docs/doxygen/releaseDoxyfile
	@xs -f ../swtools/release.js

TYPES_DOC=./docs/doxygen/TYPES.chm

release : $(TYPES_DOC)

gendocs $(TYPES_DOC): types.h ./docs/doxygen/doxygen.h
	-@echo generating TYPES documentation ...
	if test ! -d ./docs/doxygen/html; then mkdir ./docs/doxygen/html; fi
	cp $(TI_DOXYGEN_TEMPLATES)/*.* ./docs/doxygen/html
	doxygen ./docs/doxygen/genDoxyfile

# End of Makedocs.mk
